cancel
Showing results for 
Search instead for 
Did you mean: 

Unable To restore Virtual Machine

amirjabran
Level 3

Hi

I have backuped the virtual machine through Netbackup 7.1, using VCenter 5 , it sucessfully backuped the virtual machine using windows flash backup ploicy.

 

Problem is that when i am going to restore it to its orginal loctaion, is giving following error on netbackup window(2817)

 

 

and error shows on vcenter logs as " The device or operation  specified at index '0' is not  supported for the current  virtual machine version  'vmx-04'.  A minimum  version of 'vmx-07' is  required for this operation  to succeed.

 

Where my all vm machines are on version 8 already.

 

suggest me what to do.

1 ACCEPTED SOLUTION

Accepted Solutions

Mark_Solutions
Level 6
Partner Accredited Certified

You will have lots of issues with vCenter 5 of you have not upgraded so you really should (not to mention all the other host of VMWare fixes that are included in the 7.1.0.4 package.

You could try upgrading your vmx-04 servers to vmx-07 via vCenter but i have to say that you really need to go to 7.1.0.4 or better still 7.5.0.3

Hope this helps

View solution in original post

6 REPLIES 6

Mark_Solutions
Level 6
Partner Accredited Certified

Are you on at least 7.1.0.4 to get the vCenter5 support?

 

amirjabran
Level 3

Dear Mark,

I have ESXI5 and Vcenter 5

Netbackup 7.1.0.0

I have read lot of forums and blogs of netbackup, mostly upgrade the netbackup from 7.1.0.0 to 7.1.0.4 to resolve that issue, currently i dont want to upgrade right now.

 

Is any solution ???

-----------------------------------------------------------

Netbackup Log:

8/28/2012 4:14:30 PM - begin Restore
8/28/2012 4:14:35 PM - media 0028L3 required
8/28/2012 4:14:35 PM - restoring image srv-epo_1346151370
8/28/2012 4:14:41 PM - Info bptm(pid=4168) start            
8/28/2012 4:14:41 PM - started process bptm (4168)
8/28/2012 4:14:41 PM - Info bpdm(pid=4168) reading backup image          
8/28/2012 4:14:41 PM - Info bptm(pid=4168) using 30 data buffers         
8/28/2012 4:14:41 PM - Info bptm(pid=4168) spawning a child process         
8/28/2012 4:14:41 PM - Info bptm(pid=4168) child pid: 1492          
8/28/2012 4:14:41 PM - Info bptm(pid=1492) start            
8/28/2012 4:14:41 PM - started process bptm (1492)
8/28/2012 4:14:42 PM - Info bptm(pid=4168) Waiting for mount of media id 0028L3 (copy 1) on server srv-avbkp.
8/28/2012 4:14:42 PM - started process bptm (4168)
8/28/2012 4:14:42 PM - mounting 0028L3
8/28/2012 4:14:42 PM - Info bptm(pid=4168) INF - Waiting for mount of media id 0028L3 on server srv-avbkp for reading.
8/28/2012 4:14:42 PM - requesting resource 0028L3
8/28/2012 4:14:42 PM - granted resource 0028L3
8/28/2012 4:14:42 PM - granted resource IBM.ULT3580-TD3.000
8/28/2012 4:15:18 PM - mounted; mount time: 00:00:36
8/28/2012 4:15:18 PM - Info bptm(pid=4168) 0028L3            
8/28/2012 4:15:18 PM - Info bptm(pid=4168) INF - Waiting for positioning of media id 0028L3 on server srv-avbkp for reading.
8/28/2012 4:15:18 PM - positioning 0028L3 to file 3
8/28/2012 4:16:38 PM - positioned 0028L3; position time: 00:01:20
8/28/2012 4:16:38 PM - begin reading
8/28/2012 4:16:39 PM - Info bptm(pid=4168) waited for empty buffer 1 times, delayed 24 times    
8/28/2012 4:16:39 PM - end reading; read time: 00:00:01
8/28/2012 4:16:39 PM - Info bptm(pid=4168) completed reading backup image         
8/28/2012 4:16:39 PM - Info bptm(pid=4168) EXITING with status 0 <----------        
8/28/2012 4:16:42 PM - end Restore; elapsed time: 00:02:12
FlashBackup-Windows policy restore error(2817)

-------------------------------------------------

Vcenter Log shows:

--------------------------------------

The device or operation  specified at index '0' is not  supported for the current  virtual machine version  'vmx-04'.  A minimum  version of 'vmx-07' is  required for this operation  to succeed.

----------------------------

waiting for reply

 

Mark_Solutions
Level 6
Partner Accredited Certified

You will have lots of issues with vCenter 5 of you have not upgraded so you really should (not to mention all the other host of VMWare fixes that are included in the 7.1.0.4 package.

You could try upgrading your vmx-04 servers to vmx-07 via vCenter but i have to say that you really need to go to 7.1.0.4 or better still 7.5.0.3

Hope this helps

kumar3
Level 4
Certified

You should meet all the requirement first suggest by the Symantec in order to have good backup and restore capabilities. If you log a case with Symantec they will suggest you to upgrade NetBackup version first.

 

So, my suggestion would be to upgrade your NetBackup version and try to restore.

Anonymous
Not applicable

Upgrade. Symantec even recommend it in 7.1.0.4 release notes. Which is not usual for them to stipulate.

Set the time aside to perform. Then troubleshoot.

From the Release Notes 7.1.0.4

 

For a vSphere environment, Symantec recommends that you upgrade all of
the components to NetBackup 7.1.0.4. That includes the master, the media
and the VMWare proxy servers.